Returns a portfolio-level summary across all boards: aggregate metrics and per-board
health, financials, item counts, cycle counts, and status distribution.
curl --request GET \
--url https://{install}/api/board/portfolio \
--header 'Authorization: Bearer <token>'import requests
url = "https://{install}/api/board/portfolio"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{install}/api/board/portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/board/portfolio");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"aggregate": {
"totalBudgetHours": 123,
"totalPlannedHours": 123,
"totalItems": 123,
"totalActiveCycles": 123,
"projectedRevenue": 123,
"loggedRevenue": 123,
"projectedCost": 123,
"loggedCost": 123
},
"boards": [
{
"boardId": "<string>",
"budgetHours": 123,
"plannedHours": 123,
"itemCount": 123,
"activeCycleCount": 123,
"projectedRevenue": 123,
"loggedRevenue": 123,
"projectedCost": 123,
"loggedCost": 123,
"statusCounts": {
"working": 123,
"blocked": 123,
"open": 123,
"closed": 123
}
}
]
}Boards
Returns a portfolio-level summary across all boards: aggregate metrics and per-board health, financials, item counts, cycle counts, and status distribution.
GET
/
api
/
board
/
portfolio
Returns a portfolio-level summary across all boards: aggregate metrics and per-board
health, financials, item counts, cycle counts, and status distribution.
⌘I